protobuf (3.21.12-10build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:42:44 +0000

protobuf (3.21.12-10build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:13 +0100

protobuf (3.21.12-10) unstable; urgency=medium

  * Disable Python self-testing for not being compatible with new setuptools
    versions (closes: #1058327, #1080225).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Oct 2024 12:12:52 +0200

protobuf (3.21.12-9) unstable; urgency=medium

  * Rebuild against newer dh-elpa (closes: #1077116).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 26 Jul 2024 03:51:59 +0000

protobuf (3.21.12-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move dh-elpa and pkg-php-tools to B-D-Indep (Closes: #1062840, #1062847).
  * Fix /usr/share/doc/{libprotoc,libprotobuf}-dev symlinks.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 19 Mar 2024 22:24:42 +0500

protobuf (3.21.12-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063289

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:15:00 +0000

protobuf (3.21.12-8) unstable; urgency=medium

  [ Meng Sang <sangmeng@loongson.cn> ]
  * Added 'loong64' to enable specific build options (closes: #1052384).

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix tests for Python 3.12 (closes: #1055549).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Nov 2023 17:59:09 +0100

protobuf (3.21.12-7) unstable; urgency=medium

  [ Aurelien Jarno <aurelien@aurel32.net> ]
  * Python: stop using backward compatibility timezones (closes: #1050937).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Sep 2023 02:21:34 +0000

protobuf (3.21.12-6) unstable; urgency=medium

  * Add dependency to libprotobuf-java package (closes: #1040260).
  * Use javahelper architecture independent way.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Jul 2023 18:02:00 +0200

protobuf (3.21.12-5) unstable; urgency=medium

  * Move javahelper to Build-Depends (closes: #1039959).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Jul 2023 08:38:59 +0200

protobuf (3.21.12-4) unstable; urgency=medium

  [ Pierre Gruet <pgt@debian.org> ]
  * Removing the dependency on j2objc in the pom.xml file of protobuf-util.jar
  * Having test scope for junit in the pom.xml file of protobuf-util.jar
  * Building with javahelper to fill in the classpath of the built jar
    (closes: #1039521).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Jun 2023 21:47:51 +0200

protobuf (3.21.12-3) unstable; urgency=medium

  * Fix build-time tests on 32 bit architectures (closes: #1033998).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Apr 2023 05:50:55 +0000

protobuf (3.21.12-2) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Reenable build-time testing (closes: #1033989).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 05 Apr 2023 21:57:20 +0200

protobuf (3.21.12-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Dec 2022 09:18:06 +0100

protobuf (3.21.11-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 10 Dec 2022 09:53:49 +0100

protobuf (3.21.10-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Dec 2022 13:49:06 +0100

protobuf (3.21.9-5) unstable; urgency=medium

  * Backport upstream fix of Makefile rule for java target in examples
    (closes: #1024677).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Nov 2022 07:04:22 +0100

protobuf (3.21.9-4) unstable; urgency=medium

  * Don't try to build elpa-protobuf-mode on architectures where dh-elpa is
    not available.
  * Don't check alignment of typename U on hppa.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 22 Nov 2022 19:00:45 +0100

protobuf (3.21.9-3) unstable; urgency=medium

  * Upload to Sid (closes: #993266).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Nov 2022 20:49:14 +0100

protobuf (3.21.9-2) experimental; urgency=medium

  * Backport upstream fix to build with Python 3.11 (closes: #1023963).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Nov 2022 11:14:34 +0100

protobuf (3.21.9-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Nov 2022 07:09:22 +0100

protobuf (3.21.8-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Oct 2022 06:18:13 +0200

protobuf (3.21.7-1) experimental; urgency=high

  * New upstream release:
    - fix CVE-2022-3171: potential denial of service in the Java protobuf
      runtime.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Oct 2022 21:03:23 +0200

protobuf (3.21.6-1) experimental; urgency=medium

  * New major upstream release (closes: #1018262).
  * Library transition from libproto*31 to libproto*32 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Sep 2022 14:34:55 +0200

protobuf (3.20.2-1) experimental; urgency=high

  * New upstream release:
    - fix CVE-2022-1941: parsing vulnerability for the MessageSet type.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Sep 2022 00:19:51 +0200

protobuf (3.20.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Apr 2022 11:37:50 +0200

protobuf (3.20.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Apr 2022 10:45:32 +0200

protobuf (3.20.0-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Mar 2022 16:51:05 +0100

protobuf (3.20.0~rc2-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Mar 2022 06:45:32 +0100

protobuf (3.20.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update patches.
  * Library transition from libproto*30 to libproto*31 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 11 Mar 2022 01:28:07 +0100

protobuf (3.19.4-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Jan 2022 08:21:03 +0100

protobuf (3.19.3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Jan 2022 13:59:22 +0100

protobuf (3.19.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 Nov 2021 06:46:47 +0100

protobuf (3.19.0-1) experimental; urgency=medium

  * New major upstream release.
  * Clarify license of the Debian patches (closes: #996882).
  * Update patches.
  * Library transition from libproto*29 to libproto*30 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Oct 2021 23:31:59 +0200

protobuf (3.18.1-1) experimental; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Oct 2021 07:55:53 +0200

protobuf (3.18.0-1) experimental; urgency=medium

  * New major upstream release.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 22 Sep 2021 20:36:35 +0200

protobuf (3.18.0~rc2-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 02 Sep 2021 17:24:30 +0200

protobuf (3.18.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update patches.
  * Library transition from libproto*28 to libproto*29 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 27 Aug 2021 18:47:30 +0200

protobuf (3.17.3-2) experimental; urgency=medium

  [ Pirate Praveen <praveen@debian.org> ]
  * Include ruby/lib in ruby-google-protobuf binary (closes: #992008).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Aug 2021 09:16:17 +0200

protobuf (3.17.3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Jun 2021 17:36:44 +0200

protobuf (3.17.2-1) experimental; urgency=medium

  * New major upstream release (closes: #989061).
  * Update patches.
  * Update packaging bits.
  * Library transition from libproto*25 to libproto*28 .
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Support build profiles nocheck, nopython and noruby (closes: #981083).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Jun 2021 18:17:40 +0200

protobuf (3.14.0-1) experimental; urgency=medium

  * New major upstream release.
  * Update patches.
  * Let libprotobuf-dev provide API version.
  * Library transition from libproto*23 to libproto*25 .

  [ Dominik George <natureshadow@debian.org> ]
  * Build PHP package (closes: #927721).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 15 Dec 2020 07:15:10 +0100

protobuf (3.12.3-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Jul 2020 00:47:38 +0200

protobuf (3.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Jun 2020 07:37:57 +0200

protobuf (3.12.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 27 May 2020 07:01:59 +0200

protobuf (3.12.0-1) experimental; urgency=medium

  * New major upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 May 2020 19:09:58 +0200

protobuf (3.12.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update patches.
  * Library transition from libproto*22 to libproto*23 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 May 2020 18:45:17 +0000

protobuf (3.11.4-5) unstable; urgency=medium

  [ Olek Wojnar <olek@debian.org> ]
  * Allow building of protobuf-java-util (closes: #958444).
  * Add no_errorprone.patch since dependency not available in Debian.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 May 2020 17:43:12 +0000

protobuf (3.11.4-4) unstable; urgency=medium

  * Update Python version for self-tests (closes: #937327).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Apr 2020 08:56:22 +0000

protobuf (3.11.4-3) unstable; urgency=medium

  * Python3ify examples.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Mar 2020 18:20:00 +0000

protobuf (3.11.4-2) unstable; urgency=medium

  * Upload to Sid (closes: #934665).

  [ Jan Kriho <erbureth@gmail.com> ]
  * Break different protobuf-compiler versions in libprotobuf-dev
    (closes: #931836).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Mar 2020 13:44:22 +0000

protobuf (3.11.4-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Feb 2020 07:39:54 +0000

protobuf (3.11.3-1) experimental; urgency=medium

  * New upstream release.
  * Split protobuf-mode.el into a separate package (closes: #601600).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Feb 2020 17:37:12 +0000

protobuf (3.11.2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Dec 2019 08:03:17 +0000

protobuf (3.11.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Dec 2019 16:38:45 +0000

protobuf (3.11.0-1) experimental; urgency=medium

  * New major upstream release.
  * Library transition from libproto*21 to libproto*22 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Nov 2019 16:30:21 +0000

protobuf (3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 31 Oct 2019 14:14:51 +0000

protobuf (3.10.0-1) experimental; urgency=medium

  * New major upstream release.
  * Remove extra commas from Build-Depends{,-Indep} (closes: #935499).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Oct 2019 21:03:15 +0000

protobuf (3.10.0~rc1-2) experimental; urgency=medium

  * Still fix FTBFS with self-test of Python 2 bindings.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 Sep 2019 17:01:12 +0000

protobuf (3.10.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Library transition from libproto*20 to libproto*21 .
  * Remove python-protobuf package (closes: #937327).
  * Update Python packaging bits.
  * Update copyright file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 09 Sep 2019 15:42:05 +0000

protobuf (3.9.1-2) experimental; urgency=medium

  * Fix FTBFS with self-test of Python 2 bindings.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Aug 2019 14:13:49 +0000

protobuf (3.9.1-1) experimental; urgency=medium

  * New major upstream release (closes: #933795).
  * Update Java build.
  * Make packages architecture: any again (closes: #923197).
  * Library transition from libproto*17 to libproto*20 .
  * Fix self-testing with Googletest <= 1.8.1 version.
  * Update Standards-Version to 4.4.0 .

  [ Laurence Parry <greenreaper@gmail.com> ]
  * Fix FTBFS on x32 due to versioned glibc symbols (closes: #931503).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Aug 2019 16:36:47 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libprotobuf-java`.
